<?php
require_once './Control/ControlArea.php';
require_once './Util/Utilidades.php';
$controlArea = new ControlArea();
$area = $controlArea->pegarTodosArea();
$ar = Utilidades::OrdenarArray($area->allToArray(), 'titulo');
$arquivoForm = 'adm_areaForm.php';
?>
<button value="cmdNovo" onclick="javascript:mostrarArquivoDados('<?php echo $arquivoForm ?>','#dados','acao=inserir&lang=ptbr');">Novo registro</button>
<table class="datatable">
    <thead>
        <tr>
            <?php
            $ColNomes = '<th>Titulo</th><th>Descrição</th><th>Texto</th><th></th>';
            echo $ColNomes;
            ?>
        </tr>
    </thead>
    <tbody>
        <?php
        foreach ($ar as $key => $row) {
            $pk = $row['areaid'];
            $nome = $row['titulo'];
            echo '<tr class="gradeA" id="areaID_' . $pk .'">';
            echo '<td>' . $row['titulo'] . '</td>';
            echo '<td>' . $row['descricao'] . '</td>';
            echo '<td>' . Utilidades::abreviaString(htmlspecialchars($row['texto']),300) . '</td>';
            echo '<td><a href="javascript:mostrarArquivoDados(\'' . $arquivoForm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');">Editar</a> / <a href="javascript:excluirRegistro(\'' . $pk . '\',\'' . $nome .'\');" class="editor_remove">Excluir</a></td>';
            echo '</tr>';
        }
        ?>
    </tbody>
    <tfoot><?php echo $ColNomes?></tfoot>
</table>
<script>
    iniciarDataTable('.datatable');
</script>
<?php
        FormAjax::ExcluirRegistro('adm_areaCMD.php');
?>